<?php

/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package nisoz
 */

get_header();


?>

<?php if ('yes' == get_theme_mod('error_custom')) : ?>
    <?php echo do_shortcode(\Elementor\Plugin::$instance->frontend->get_builder_content(get_theme_mod('error_custom_post'))); ?>
<?php else : ?>
    <main id="primary" class="site-main">
        <!--Error Page Start-->
        <section class="error-page default">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12 col-lg-12 no-image text-center">
                        <div class="error-page__left">
                            <h2 class="error-page__title"><?php esc_html_e('404', 'nisoz'); ?></h2>
                            <h3 class="error-page__tagline"><?php esc_html_e('Oops! Page Not Found', 'nisoz'); ?></h3>
                            <p class="error-page__text"><?php esc_html_e('The page you are looking for is not exist.', 'nisoz'); ?></p>
                            <form class="error-page__form" method="get" action="<?php echo esc_url(home_url()); ?>">
                                <div class="error-page__form-input">
                                    <input type="search" placeholder="<?php esc_attr_e('Search Here', 'nisoz'); ?>">
                                    <button type="submit"><i class="icon-magnifying-glass"></i></button>
                                </div>
                            </form>
                            <div class="error-page__btn-box">
                                <a href="<?php echo esc_url(home_url('/')); ?>" class="nisoz-btn">
                                    <span class="nisoz-btn__shape"></span><span class="nisoz-btn__shape"></span><span class="nisoz-btn__shape"></span><span class="nisoz-btn__shape"></span>
                                    <span class="nisoz-btn__text"><?php esc_html_e('Back to Home ', 'nisoz'); ?></span>
                                </a><!-- 404-btn -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--Error Page End-->
    </main><!-- #main -->
<?php endif; ?>

<?php
get_footer();
