<?php

/**
 * nisoz functions for getting inline styles from theme customizer
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package nisoz
 */

if (!function_exists('nisoz_theme_customizer_styles')) :
	function nisoz_theme_customizer_styles()
	{

		// nisoz color option

		$nisoz_inline_style = '';
		$nisoz_inline_style .= ':root {

			--nisoz-base: ' . get_theme_mod('theme_base_color', sanitize_hex_color('#b6ef00')) . ';
			--nisoz-base-rgb: ' . nisoz_hex_to_rgb(get_theme_mod('theme_base_color', sanitize_hex_color('#b6ef00'))) . ';

			--nisoz-white: ' . get_theme_mod('theme_white_color', sanitize_hex_color('#ffffff')) . ';
			--nisoz-white-rgb: ' . nisoz_hex_to_rgb(get_theme_mod('theme_white_color', sanitize_hex_color('#ffffff'))) . ';

			--nisoz-black: ' . get_theme_mod('theme_black_color_one', sanitize_hex_color('#161617')) . ';
			--nisoz-black-rgb: ' . nisoz_hex_to_rgb(get_theme_mod('theme_black_color_one', sanitize_hex_color('#161617'))) . ';

			--nisoz-black2: ' . get_theme_mod('theme_black_color_two', sanitize_hex_color('#171717')) . ';
			--nisoz-black2-rgb: ' . nisoz_hex_to_rgb(get_theme_mod('theme_black_color_two', sanitize_hex_color('#171717'))) . ';

			--nisoz-black3: ' . get_theme_mod('theme_black_color_three', sanitize_hex_color('#18191c')) . ';
			--nisoz-black3-rgb: ' . nisoz_hex_to_rgb(get_theme_mod('theme_black_color_three', sanitize_hex_color('#18191c'))) . ';

			--nisoz-black4: ' . get_theme_mod('theme_black_color_four', sanitize_hex_color('#000000')) . ';
			--nisoz-black4-rgb: ' . nisoz_hex_to_rgb(get_theme_mod('theme_black_color_four', sanitize_hex_color('#000000'))) . ';

			--nisoz-black5: ' . get_theme_mod('theme_black_color_five', sanitize_hex_color('#0c0c0d')) . ';
			--nisoz-black5-rgb: ' . nisoz_hex_to_rgb(get_theme_mod('theme_black_color_five', sanitize_hex_color('#0c0c0d'))) . ';

			--nisoz-color: ' . get_theme_mod('theme_other_color_one', sanitize_hex_color('#717175')) . ';
			--nisoz-color-rgb: ' . nisoz_hex_to_rgb(get_theme_mod('theme_other_color_one', sanitize_hex_color('#717175'))) . ';

			--nisoz-color2: ' . get_theme_mod('theme_other_color_two', sanitize_hex_color('#646466')) . ';
			--nisoz-color2-rgb: ' . nisoz_hex_to_rgb(get_theme_mod('theme_other_color_two', sanitize_hex_color('#646466'))) . ';

			--nisoz-color3: ' . get_theme_mod('theme_other_color_three', sanitize_hex_color('#f2f2f6')) . ';
			--nisoz-color3-rgb: ' . nisoz_hex_to_rgb(get_theme_mod('theme_other_color_three', sanitize_hex_color('#f2f2f6'))) . ';
		}';

		$nisoz_inner_banner_bg = get_theme_mod('page_header_bg_image');
		$nisoz_inline_style .= '.page-header__shape3 { background-image: url(' . $nisoz_inner_banner_bg . '); } ';

		$nisoz_inner_banner_shape_one = get_theme_mod('page_header_shape_one');
		$nisoz_inline_style .= '.page-header__bg { background-image: url(' . $nisoz_inner_banner_shape_one . '); } ';

		$nisoz_inner_banner_shape_two = get_theme_mod('page_header_shape_two');
		$nisoz_inline_style .= '.page-header__shape1 { background-image: url(' . $nisoz_inner_banner_shape_two . '); } ';

		$nisoz_inner_banner_shape_three = get_theme_mod('page_header_shape_three');
		$nisoz_inline_style .= '.page-header__shape2 { background-image: url(' . $nisoz_inner_banner_shape_three . '); } ';

		$nisoz_preloader_icon = get_theme_mod('preloader_image');
		if ($nisoz_preloader_icon) {
			$nisoz_inline_style .= '.preloader .preloader__image { background-image: url(' . $nisoz_preloader_icon . '); } ';
		}

		if (is_page()) {

			$nisoz_page_base_color = empty(get_post_meta(get_the_ID(), 'nisoz_base_color', true)) ? get_theme_mod('theme_base_color', sanitize_hex_color('#b6ef00')) : get_post_meta(get_the_ID(), 'nisoz_base_color', true);

			$nisoz_page_white_color = empty(get_post_meta(get_the_ID(), 'nisoz_white_color', true)) ? get_theme_mod('theme_white_color', sanitize_hex_color('#ffffff')) : get_post_meta(get_the_ID(), 'nisoz_white_color', true);

			$nisoz_page_black_one_color = empty(get_post_meta(get_the_ID(), 'nisoz_black_color_one', true)) ? get_theme_mod('theme_black_color_one', sanitize_hex_color('#161617')) : get_post_meta(get_the_ID(), 'nisoz_black_color_one', true);

			$nisoz_page_black_two_color = empty(get_post_meta(get_the_ID(), 'nisoz_black_color_two', true)) ? get_theme_mod('theme_black_color_two', sanitize_hex_color('#171717')) : get_post_meta(get_the_ID(), 'nisoz_black_color_two', true);

			$nisoz_page_black_three_color = empty(get_post_meta(get_the_ID(), 'nisoz_black_color_three', true)) ? get_theme_mod('theme_black_color_three', sanitize_hex_color('#18191c')) : get_post_meta(get_the_ID(), 'nisoz_black_color_three', true);

			$nisoz_page_black_four_color = empty(get_post_meta(get_the_ID(), 'nisoz_black_color_four', true)) ? get_theme_mod('theme_black_color_four', sanitize_hex_color('#000000')) : get_post_meta(get_the_ID(), 'nisoz_black_color_four', true);

			$nisoz_page_black_five_color = empty(get_post_meta(get_the_ID(), 'nisoz_black_color_five', true)) ? get_theme_mod('theme_black_color_five', sanitize_hex_color('#0c0c0d')) : get_post_meta(get_the_ID(), 'nisoz_black_color_five', true);

			$nisoz_page_other_color_one = empty(get_post_meta(get_the_ID(), 'nisoz_other_color_one', true)) ? get_theme_mod('theme_other_color_one', sanitize_hex_color('#717175')) : get_post_meta(get_the_ID(), 'nisoz_other_color_one', true);

			$nisoz_page_other_color_two = empty(get_post_meta(get_the_ID(), 'nisoz_other_color_two', true)) ? get_theme_mod('theme_other_color_two', sanitize_hex_color('#646466')) : get_post_meta(get_the_ID(), 'nisoz_other_color_two', true);

			$nisoz_page_other_color_three = empty(get_post_meta(get_the_ID(), 'nisoz_other_color_three', true)) ? get_theme_mod('theme_other_color_three', sanitize_hex_color('#f2f2f6')) : get_post_meta(get_the_ID(), 'nisoz_other_color_three', true);

			$nisoz_inline_style .= ':root {
				--nisoz-base: ' . $nisoz_page_base_color . ';
				--nisoz-base-rgb: ' . nisoz_hex_to_rgb($nisoz_page_base_color) . ';

				--nisoz-white: ' . $nisoz_page_white_color . ';
				--nisoz-white-rgb: ' . nisoz_hex_to_rgb($nisoz_page_white_color) . ';

				--nisoz-black: ' . $nisoz_page_black_one_color . ';
				--nisoz-black-rgb: ' . nisoz_hex_to_rgb($nisoz_page_black_one_color) . ';

				--nisoz-black2: ' . $nisoz_page_black_two_color . ';
				--nisoz-black2-rgb: ' . nisoz_hex_to_rgb($nisoz_page_black_two_color) . ';

				--nisoz-black3: ' . $nisoz_page_black_three_color . ';
				--nisoz-black3-rgb: ' . nisoz_hex_to_rgb($nisoz_page_black_three_color) . ';

				--nisoz-black4: ' . $nisoz_page_black_four_color . ';
				--nisoz-black4-rgb: ' . nisoz_hex_to_rgb($nisoz_page_black_four_color) . ';

				--nisoz-black5: ' . $nisoz_page_black_five_color . ';
				--nisoz-black5-rgb: ' . nisoz_hex_to_rgb($nisoz_page_black_five_color) . ';

				--nisoz-color: ' . $nisoz_page_other_color_one . ';
				--nisoz-color-rgb: ' . nisoz_hex_to_rgb($nisoz_page_other_color_one) . ';

				--nisoz-color2: ' . $nisoz_page_other_color_two . ';
				--nisoz-color2-rgb: ' . nisoz_hex_to_rgb($nisoz_page_other_color_two) . ';

				--nisoz-color3: ' . $nisoz_page_other_color_three . ';
				--nisoz-color3-rgb: ' . nisoz_hex_to_rgb($nisoz_page_other_color_three) . ';

			}';

			$nisoz_page_header_bg = empty(get_post_meta(get_the_ID(), 'nisoz_set_header_image', true)) ? get_theme_mod('page_header_bg_image') : get_post_meta(get_the_ID(), 'nisoz_set_header_image', true);

			$nisoz_inline_style .= '.page-header-bg { background-image: url(' . $nisoz_page_header_bg . '); }';
		}

		if (is_singular('post')) {
			$nisoz_post_header_bg = empty(get_post_meta(get_the_ID(), 'nisoz_set_header_image', true)) ? get_theme_mod('page_header_bg_image') : get_post_meta(get_the_ID(), 'nisoz_set_header_image', true);

			$nisoz_inline_style .= '.page-header-bg  { background-image: url(' . $nisoz_post_header_bg . '); }';
		}


		wp_add_inline_style('nisoz-style', $nisoz_inline_style);
	}
endif;

add_action('wp_enqueue_scripts', 'nisoz_theme_customizer_styles');
