<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package nisoz
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<div class="blog-details__content clearfix">
		<?php nisoz_post_thumbnail(); ?>
		<div class="blog-details__meta">
			<div class="blog-details__meta__cats">
				<?php nisoz_posted_by(); ?>
			</div>
			<?php nisoz_comment_count(); ?>
		</div><!-- /.details-meta -->
		<?php
		the_content(
			sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__('Continue reading<span class="screen-reader-text"> "%s"</span>', 'nisoz'),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				wp_kses_post(get_the_title())
			)
		);

		wp_link_pages(
			array(
				'before' => '<div class="page-links">' . esc_html__('Pages:', 'nisoz'),
				'after'  => '</div>',
			)
		);
		?>
	</div><!-- details-content -->
	<div class="blog-details__bottom">
		<?php nisoz_entry_footer(); ?>
	</div><!-- details-tags-share -->

</article><!-- #post-<?php the_ID(); ?> -->