<?php

/**
 * Template part for displaying footer
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package nisoz
 */
?>


<?php
$nisoz_page_id     = get_queried_object_id();
$nisoz_custom_footer_status = !empty(get_post_meta($nisoz_page_id, 'nisoz_custom_footer_status', true)) ? get_post_meta($nisoz_page_id, 'nisoz_custom_footer_status', true) : 'off';

$nisoz_custom_footer_id = '';
if ((is_page() && 'on' === $nisoz_custom_footer_status) || (is_singular('portfolio') && 'on' === $nisoz_custom_footer_status) || (is_singular('service') && 'on' === $nisoz_custom_footer_status) || (is_singular('team') && 'on' === $nisoz_custom_footer_status)) {
    $nisoz_custom_footer_id = get_post_meta($nisoz_page_id, 'nisoz_select_custom_footer', true);
} elseif ('yes' == get_theme_mod('footer_custom')) {
    $nisoz_custom_footer_id = get_theme_mod('footer_custom_post');
} else {
    $nisoz_custom_footer_id = 'default_footer';
}

$nisoz_dynamic_footer = isset($_GET['custom_footer_id']) ? $_GET['custom_footer_id'] : $nisoz_custom_footer_id;
?>


<?php if ('default_footer' == $nisoz_dynamic_footer) : ?>
    <section class="copyright text-center">
        <div class="container wow fadeInUp" data-wow-delay="500ms">
            <p class="copyright__text"><?php echo wp_kses(get_theme_mod('footer_copytext', esc_html__('&copy; All Copyright 2023 by Nisoz', 'nisoz')), 'nisoz_allowed_tags'); ?></p>
        </div><!-- /.container -->
    </section><!-- /.copyright -->
<?php else : ?>
    <?php echo do_shortcode('[nisoz-footer id="' . $nisoz_dynamic_footer . '"]');
    ?>
<?php endif; ?>