<?php

/**
 * Template part for displaying Page Header
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package nisoz
 */
?>
<?php
$nisoz_page_header_extra_class = apply_filters('nisoz_page_header_extra_class', 'page-header--unit-test');
?>
<section class="page-header <?php echo esc_attr($nisoz_page_header_extra_class); ?>">
	<div class="page-header__bg"></div><!-- /.page-header__bg -->
	<div class="page-header__shape1"></div><!-- /.page-header__shape1 -->
	<div class="page-header__shape2"></div><!-- /.page-header__shape1 -->
	<div class="page-header__shape3 wow slideInRight" data-wow-delay="300ms"></div><!-- /.page-header__shape3 -->
	<div class="container">
		<?php $nisoz_page_meta_breadcumb_status = empty(get_post_meta(get_the_ID(), 'nisoz_show_page_breadcrumb', true)) ? 'on' : get_post_meta(get_the_ID(), 'nisoz_show_page_breadcrumb', true); ?>
		<?php if (function_exists('bcn_display_list') && 'yes' == get_theme_mod('breadcrumb_opt', 'off') && 'on' == $nisoz_page_meta_breadcumb_status) : ?>
			<ul class="page-header__breadcrumb list-unstyled ml-0">
				<?php bcn_display_list(); ?>
			</ul>
		<?php endif; ?>
		<?php
		$nisoz_page_title_text = !empty(get_post_meta(get_the_ID(), 'nisoz_set_header_title', true)) ? get_post_meta(get_the_ID(), 'nisoz_set_header_title', true) : get_the_title();
		$nisoz_page_header_tag = apply_filters('nisoz_page_header_tag', 'h2');
		?>
		<<?php echo esc_attr($nisoz_page_header_tag); ?> class="page-header__title">
			<?php if (!is_page()) : ?>
				<?php nisoz_page_title(); ?>
			<?php else : ?>
				<?php echo wp_kses($nisoz_page_title_text, 'nisoz_allowed_tags') ?>
			<?php endif; ?>
		</<?php echo esc_attr($nisoz_page_header_tag); ?>><!-- /.page-title -->

	</div><!-- /.container -->
</section><!-- /.page-header -->